libzypp 17.37.10

zypp::url::UrlNotAllowedException Class Reference

Thrown if scheme does not allow a component. More...

`#include <zypp-core/url/UrlException.h>`

Inheritance diagram for zypp::url::UrlNotAllowedException:

## Public Member Functions
| UrlNotAllowedException ()
| UrlNotAllowedException (const std::string &msg)
| ~UrlNotAllowedException () override throw ()
Public Member Functions inherited from zypp::url::UrlException
| UrlException ()
| UrlException (const std::string &msg)
| ~UrlException () override throw ()
Public Member Functions inherited from zypp::Exception
| Exception ()
| Default ctor.
| Exception (const std::string &msg_r)
| Ctor taking a message.
| Exception (std::string &&msg_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| Exception (const std::string &msg_r, const Exception &history_r)
| Ctor taking a message and an exception to remember as history.
| Exception (std::string &&msg_r, const Exception &history_r)
| Exception (const std::string &msg_r, Exception &&history_r)
| Exception (std::string &&msg_r, Exception &&history_r)
| ~Exception () override throw ()
| Dtor.
const CodeLocation & | where () const
| Return CodeLocation.
void | relocate (const CodeLocation &where_r) const
| Exchange location on rethrow.
void | relocate (CodeLocation &&where_r) const
| Exchange location on rethrow.
const std::string & | msg () const
| Return the message string provided to the ctor.
std::string | asString () const
| Error message provided by dumpOn as string.
std::string | asUserString () const
| Translated error message as string suitable for the user.
void | remember (const Exception &old_r)
| Store an other Exception as history.
void | remember (Exception &&old_r)
void | remember (std::exception_ptr old_r)
void | remember (const std::string &msg_r)
| Remembering a plain string is most probably not wanted - we addHistory.
void | remember (std::string &&msg_r)
void | addHistory (const std::string &msg_r)
| Add some message text to the history.
void | addHistory (std::string &&msg_r)
template<class TContainer>
void | addToHistory (const TContainer &msgc_r)
| addHistory from string container types (oldest first)
template<class TContainer>
void | moveToHistory (TContainer &&msgc_r)
| addHistory from string container types (oldest first) moving
HistoryIterator | historyBegin () const
| Iterator pointing to the most recent message.
HistoryIterator | historyEnd () const
| Iterator pointing behind the last message.
bool | historyEmpty () const
| Whether the history list is empty.
HistorySize | historySize () const
| The size of the history list.
std::string | historyAsString () const
| The history as string.
std::string | asUserHistory () const
| A single (multiline) string composed of asUserString and historyAsString.

## Additional Inherited Members
Public Types inherited from zypp::Exception
using | CodeLocation = exception_detail::CodeLocation
using | History = std::list<std::string>
using | HistoryIterator = History::const_iterator
using | HistorySize = History::size_type
static std::string | strErrno (int errno_r)
| Make a string from errno_r.
static std::string | strErrno (int errno_r, std::string msg_r)
| Make a string from errno_r and msg_r.
static void | log (const Exception &excpt_r, const CodeLocation &where_r, const char *const prefix_r)
| Drop a logline on throw, catch or rethrow.
static void | log (const char *typename_r, const CodeLocation &where_r, const char *const prefix_r)
| \overrload for not-Exception types thrown via ZYPP_THROW
virtual std::ostream & | dumpOn (std::ostream &str) const
| Overload this to print a proper error message.
Related Symbols inherited from zypp::Exception
std::ostream & | operator<< (std::ostream &str, const Exception &obj) ZYPP_API
| Stream output.

## Detailed Description

Thrown if scheme does not allow a component.

Definition at line 104 of file UrlException.h.

## Constructor & Destructor Documentation

## ◆ UrlNotAllowedException() [1/2]

zypp::url::UrlNotAllowedException::UrlNotAllowedException | ( |  | ) |
| inline

Definition at line 107 of file UrlException.h.

## ◆ UrlNotAllowedException() [2/2]

zypp::url::UrlNotAllowedException::UrlNotAllowedException | ( | const std::string & | msg | ) |
| inline

Definition at line 111 of file UrlException.h.

## ◆ ~UrlNotAllowedException()

zypp::url::UrlNotAllowedException::~UrlNotAllowedException | ( |  | ) |
throw | ( | ) |  |  |
| inline override

Definition at line 115 of file UrlException.h.

The documentation for this class was generated from the following file:

- zypp-core/url/UrlException.h